Subject: Re: [PATCH v1 2/2] iommu/arm-smmu-v3: Recover ATC invalidate timeouts

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 6 Mar 2026 16:22:16 -0400

On Fri, Mar 06, 2026 at 12:18:24PM -0800, Nicolin Chen wrote:

> IIUIC, we would have two timeouts to identify the device(s), so we
> wouldn't need to give away the optimization of batching ATCI cmds?

Yes we should not harm success path performance to compensate for a
RAS error case.

> Will letting a faulty device time out once again give it a window
> to corrupt the memory?

No, you are doing this within the flush callback so everything relying
on that flush should remain held.

Jason